Index: src/libbn/bn_private.h
===================================================================
--- src/libbn/bn_private.h	(revision 59000)
+++ src/libbn/bn_private.h	(working copy)
@@ -26,6 +26,9 @@
  *
  */
 
+#ifndef LIBBN_BN_PRIVATE_H
+#define LIBBN_BN_PRIVATE_H
+
 /**
  * @brief
  * Find a 2D coordinate system for a set of co-planar 3D points
@@ -78,6 +81,8 @@
                      const point2d_t *points_2d, int n);
 
 
+#endif /* LIBBN_BN_PRIVATE_H */
+
 /** @} */
 /*
  * Local Variables:
Index: src/libbrep/PullbackCurve.h
===================================================================
--- src/libbrep/PullbackCurve.h	(revision 59000)
+++ src/libbrep/PullbackCurve.h	(working copy)
@@ -45,8 +45,8 @@
  *
  */
 
-#ifndef PULLBACK_CURVE
-#define PULLBACK_CURVE
+#ifndef LIBBREP_PULLBACKCURVE_H
+#define LIBBREP_PULLBACKCURVE_H
 
 #include "opennurbs.h"
 
Index: src/libbrep/libbrep_brep_tools.h
===================================================================
--- src/libbrep/libbrep_brep_tools.h	(revision 59000)
+++ src/libbrep/libbrep_brep_tools.h	(working copy)
@@ -24,8 +24,8 @@
  *  Utility routines for working with geometry.
  */
 
-#ifndef __LIBBREP_BREP_TOOLS
-#define __LIBBREP_BREP_TOOLS
+#ifndef LIBBREP_LIBBREP_BREP_TOOLS_H
+#define LIBBREP_LIBBREP_BREP_TOOLS_H
 
 #include "common.h"
 
@@ -309,7 +309,7 @@
 	);
 
 
-#endif /* __LIBBREP_BREP_TOOLS */
+#endif /* LIBBREP_LIBBREP_BREP_TOOLS_H */
 /** @} */
 
 // Local Variables:
Index: src/libbrep/opennurbs_fit.h
===================================================================
--- src/libbrep/opennurbs_fit.h	(revision 59000)
+++ src/libbrep/opennurbs_fit.h	(working copy)
@@ -1,4 +1,4 @@
-/** @file opennurbs_fit.h
+/** @File opennurbs_fit.h
  *
  * Extensions to the openNURBS library, based off of Thomas Mörwald's
  * surface fitting code in the Point Cloud Library (pcl). His code is
@@ -36,8 +36,8 @@
  *
  */
 
-#ifndef __OPENNURBS_FIT
-#define __OPENNURBS_FIT
+#ifndef LIBBREP_OPENNURBS_FIT_H
+#define LIBBREP_OPENNURBS_FIT_H
 
 #include "opennurbs.h"
 #include <vector>
Index: src/libbu/parallel.h
===================================================================
--- src/libbu/parallel.h	(revision 59000)
+++ src/libbu/parallel.h	(working copy)
@@ -18,6 +18,9 @@
  * information.
  */
 
+#ifndef LIBBU_PARALLEL_H
+#define LIBBU_PARALLEL_H
+
 #include "bu.h"
 
 /**
@@ -35,6 +38,7 @@
 extern void thread_set_cpu(int cpu);
 extern int thread_get_cpu(void);
 
+#endif LIBBU_PARALLEL_H
 
 /*
  * Local Variables:
Index: src/libbu/rb_internals.h
===================================================================
--- src/libbu/rb_internals.h	(revision 59000)
+++ src/libbu/rb_internals.h	(working copy)
@@ -22,8 +22,8 @@
 
 #include "bu.h"
 
-#ifndef BU_RB_INTERNALS_H
-#define BU_RB_INTERNALS_H seen
+#ifndef LIBBU_RB_INTERNALS_H
+#define LIBBU_RB_INTERNALS_H seen
 
 
 /**
@@ -197,7 +197,7 @@
  */
 extern void rb_free_package(struct bu_rb_package *package);
 
-#endif /* BU_RB_INTERNALS_H */
+#endif /* LIBBU_RB_INTERNALS_H */
 
 
 /*
Index: src/libbu/uce-dirent.h
===================================================================
--- src/libbu/uce-dirent.h	(revision 59000)
+++ src/libbu/uce-dirent.h	(working copy)
@@ -78,8 +78,8 @@
  * HAVE_DIRECT_H, HAVE_DIR_H, HAVE_NDIR_H, HAVE_SYS_DIR_H and
  * HAVE_SYS_NDIR_H according to the files found.
  */
-#ifndef DIRENT_H
-#define DIRENT_H
+#ifndef LIBBU_UCE_DIRENT_H
+#define LIBBU_UCE_DIRENT_H
 #define DIRENT_H_INCLUDED
 
 /* find out platform */
@@ -672,4 +672,4 @@
 #endif
 
 
-#endif /*DIRENT_H*/
+#endif /*LIBBU_UCE_DIRENT_H*/
Index: src/libbu/vls_internals.h
===================================================================
--- src/libbu/vls_internals.h	(revision 59000)
+++ src/libbu/vls_internals.h	(working copy)
@@ -18,8 +18,8 @@
  * information.
  */
 
-#ifndef BU_VLS_INTERNALS_H
-#define BU_VLS_INTERNALS_H seen
+#ifndef LIBBU_VLS_INTERNALS_H
+#define LIBBU_VLS_INTERNALS_H seen
 
 #include "bu.h"
 
@@ -60,7 +60,7 @@
 BU_EXPORT extern int handle_format_part(const int vp_part, vflags_t *f, const char c, const int print);
 BU_EXPORT extern int handle_obsolete_format_char(const char c, const int print);
 
-#endif /* BU_VLS_INTERNALS_H */
+#endif /* LIBBU_VLS_INTERNALS_H */
 
 /*
  * Local Variables:
Index: src/libdm/dm_util.h
===================================================================
--- src/libdm/dm_util.h	(revision 59000)
+++ src/libdm/dm_util.h	(working copy)
@@ -20,8 +20,8 @@
 /** @file libdm/dm_util.h
  */
 
-#ifndef __DM_UTIL_H__
-#define __DM_UTIL_H__
+#ifndef LIBDM_DM_UTIL_H
+#define LIBDM_DM_UTIL_H
 
 #include "common.h"
 
@@ -44,7 +44,7 @@
 
 __END_DECLS
 
-#endif /* __DM_UTIL_H__ */
+#endif /* LIBDM_DM_UTIL_H */
 
 /*
  * Local Variables:
Index: src/libfb/dmdfb.h
===================================================================
--- src/libfb/dmdfb.h	(revision 59000)
+++ src/libfb/dmdfb.h	(working copy)
@@ -24,6 +24,10 @@
  */
 /** @} */
 
+#ifndef LIBFB_DMDFB_H
+#define LIBFB_DMDFB_H
+
+
 #define BLACK		0
 #define WHITE		1
 #define CLR_BIT(word, bit) word &= ~(bit)
@@ -53,6 +57,8 @@
 #define SMALL_LAYER_SZ	51
 #define MIN_LAYER_SZ	80
 
+
+#endif /* LIBFB_DMDFB_H */
 /*
  * Local Variables:
  * mode: C
Index: src/libgcv/soup.h
===================================================================
--- src/libgcv/soup.h	(revision 59000)
+++ src/libgcv/soup.h	(working copy)
@@ -24,8 +24,8 @@
  *
  */
 
-#ifndef  __SOUP_H__
-#define  __SOUP_H__
+#ifndef  LIBGCV_SOUP_H
+#define  LIBGCV_SOUP_H
 
 #include "common.h"
 
@@ -64,7 +64,7 @@
 
 __END_DECLS
 
-#endif /* __SOUP_H__ */
+#endif /* LIBGCV_SOUP_H */
 
 /*
  * Local Variables:
Index: src/libgcv/tri_intersect.h
===================================================================
--- src/libgcv/tri_intersect.h	(revision 59000)
+++ src/libgcv/tri_intersect.h	(working copy)
@@ -23,8 +23,8 @@
  * Intersect 2 triangles using a modified Möller routine.
  */
 
-#ifndef __TRI_INTERSECT_H__
-#define __TRI_INTERSECT_H__
+#ifndef LIBGCV_TRI_INTERSECT_H
+#define LIBGCV_TRI_INTERSECT_H
 
 __BEGIN_DECLS
 
@@ -39,7 +39,7 @@
 
 __END_DECLS
 
-#endif /* __TRI_INTERSECT_H__ */
+#endif /* LIBGCV_TRI_INTERSECT_H */
 
 /*
  * Local Variables:
Index: src/libgcv/wfobj/obj_grammar_decls.h
===================================================================
--- src/libgcv/wfobj/obj_grammar_decls.h	(revision 59000)
+++ src/libgcv/wfobj/obj_grammar_decls.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef OBJ_GRAMMAR_H
-#define OBJ_GRAMMAR_H
+#ifndef LIBGCV_WFOBJ_OBJ_GRAMMAR_DECLS_H
+#define LIBGCV_WFOBJ_OBJ_GRAMMAR_DECLS_H
 
 #include "common.h"
 #include "obj_grammar.hpp"
Index: src/libgcv/wfobj/obj_parser.h
===================================================================
--- src/libgcv/wfobj/obj_parser.h	(revision 59000)
+++ src/libgcv/wfobj/obj_parser.h	(working copy)
@@ -22,8 +22,8 @@
  * Interface to Wavefront OBJ Parser.
  *
  */
-#ifndef ARL_OBJ_PARSER_H
-#define ARL_OBJ_PARSER_H
+#ifndef LIBGCV_WFOBJ_OBJ_PARSER_H
+#define LIBGCV_WFOBJ_OBJ_PARSER_H
 
 #include "common.h"
 #include <sys/types.h>
Index: src/libgcv/wfobj/obj_parser_state.h
===================================================================
--- src/libgcv/wfobj/obj_parser_state.h	(revision 59000)
+++ src/libgcv/wfobj/obj_parser_state.h	(working copy)
@@ -18,8 +18,8 @@
  * information.
  */
 
-#ifndef ARL_OBJ_PARSER_STATE_H
-#define ARL_OBJ_PARSER_STATE_H
+#ifndef LIBGCV_WFOBJ_OBJ_PARSER_STATE_H
+#define LIBGCV_WFOBJ_OBJ_PARSER_STATE_H
 
 #include "common.h"
 
Index: src/libgcv/wfobj/obj_rules.h
===================================================================
--- src/libgcv/wfobj/obj_rules.h	(revision 59000)
+++ src/libgcv/wfobj/obj_rules.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef OBJ_RULES_H
-#define OBJ_RULES_H
+#ifndef LIBGCV_WFOBJ_OBJ_RULES_H
+#define LIBGCV_WFOBJ_OBJ_RULES_H
 
 #include "common.h"
 #include "obj_token_type.h"
@@ -63,7 +63,7 @@
 
 __END_DECLS
 
-#endif /* OBJ_RULES_H */
+#endif /* LIBGCV_WFOBJ_OBJ_RULES_H */
 
 /*
  * Local Variables:
Index: src/libgcv/wfobj/obj_token_type.h
===================================================================
--- src/libgcv/wfobj/obj_token_type.h	(revision 59000)
+++ src/libgcv/wfobj/obj_token_type.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef OBJ_TOKEN_TYPE_H
-#define OBJ_TOKEN_TYPE_H
+#ifndef LIBGCV_WFOBJ_OBJ_TOKEN_TYPE_H
+#define LIBGCV_WFOBJ_OBJ_TOKEN_TYPE_H
 const int TOKEN_STRING_LEN = 80;
 
 typedef union YYSTYPE
Index: src/libgcv/wfobj/tri_face.h
===================================================================
--- src/libgcv/wfobj/tri_face.h	(revision 59000)
+++ src/libgcv/wfobj/tri_face.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef TRI_FACE_H
-#define TRI_FACE_H
+#ifndef LIBGCV_WFOBJ_TRI_FACE_H
+#define LIBGCV_WFOBJ_TRI_FACE_H
 
 struct faceuse*
 make_faceuse_from_face(const double points[], int numPoints);
Index: src/libged/ged_private.h
===================================================================
--- src/libged/ged_private.h	(revision 59000)
+++ src/libged/ged_private.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef __GED_PRIVATE_H__
-#define __GED_PRIVATE_H__
+#ifndef LIBGED_GED_PRIVATE_H
+#define LIBGED_GED_PRIVATE_H
 
 #include "common.h"
 
@@ -474,7 +474,7 @@
 
 __END_DECLS
 
-#endif /* __GED_PRIVATE_H__ */
+#endif /* LIBGED_GED_PRIVATE_H */
 
 /** @} */
 /*
Index: src/libged/joint.h
===================================================================
--- src/libged/joint.h	(revision 59000)
+++ src/libged/joint.h	(working copy)
@@ -53,6 +53,10 @@
  * of freedom is not used.
  */
 
+#ifndef LIBGED_JOINT_H
+#define LIBGED_JOINT_H
+
+
 #ifndef FALSE
 #  define FALSE 0
 #endif
@@ -193,6 +197,9 @@
 
 void vls_col_item(struct bu_vls *str, const char *cp);
 void vls_col_eol(struct bu_vls *str);
+
+#endif /* LIBGED_JOINT_H */
+
 /*
  * Local Variables:
  * mode: C
Index: src/libged/qray.h
===================================================================
--- src/libged/qray.h	(revision 59000)
+++ src/libged/qray.h	(working copy)
@@ -28,8 +28,8 @@
 
 #include "ged.h"
 
-#ifndef SEEN_QRAY_H
-#define SEEN_QRAY_H
+#ifndef LIBGED_QRAY_H
+#define LIBGED_QRAY_H
 
 #define DG_QRAY_TEXT(_dgop) ((_dgop)->gd_qray_effects == 't' || (_dgop)->gd_qray_effects == 'b')
 #define DG_QRAY_GRAPHICS(_dgop) ((_dgop)->gd_qray_effects == 'g' || (_dgop)->gd_qray_effects == 'b')
Index: src/libged/simulate/simcollisionalgo.h
===================================================================
--- src/libged/simulate/simcollisionalgo.h	(revision 59000)
+++ src/libged/simulate/simcollisionalgo.h	(working copy)
@@ -24,8 +24,8 @@
  *
  */
 
-#ifndef SIMULATE_COLL_ALGO_H_
-#define SIMULATE_COLL_ALGO_H_
+#ifndef LIBGED_SIMULATE_SIMCOLLISIONALGO_H_
+#define LIBGED_SIMULATE_SIMCOLLISIONALGO_H_
 
 #include "common.h"
 
@@ -91,7 +91,7 @@
 
 #endif
 
-#endif /* SIMULATE_COLL_ALGO_H_ */
+#endif /* LIBGED_SIMULATE_SIMCOLLISIONALGO_H_ */
 
 // Local Variables:
 // tab-width: 8
Index: src/libged/simulate/simrt.h
===================================================================
--- src/libged/simulate/simrt.h	(revision 59000)
+++ src/libged/simulate/simrt.h	(working copy)
@@ -24,8 +24,8 @@
  *
  */
 
-#ifndef SIMRT_H_
-#define SIMRT_H_
+#ifndef LIBGED_SIMULATE_SIMRT_H
+#define LIBGED_SIMULATE_SIMRT_H
 
 #if defined __cplusplus
 
@@ -324,7 +324,7 @@
 #endif
 
 
-#endif /* SIMRT_H_ */
+#endif /* LIBGED_SIMULATE_SIMRT_H */
 
 /*
  * Local Variables:
Index: src/libged/simulate/simulate.h
===================================================================
--- src/libged/simulate/simulate.h	(revision 59000)
+++ src/libged/simulate/simulate.h	(working copy)
@@ -25,8 +25,8 @@
  *
  */
 
-#ifndef SIMULATE_H_
-#define SIMULATE_H_
+#ifndef LIBGED_SIMULATE_SIMULATE_H
+#define LIBGED_SIMULATE_SIMULATE_H
 
 #include "common.h"
 
@@ -135,7 +135,7 @@
     }   /* matches the linkage specification at the beginning. */
 #endif
 
-#endif /* SIMULATE_H_ */
+#endif /* LIBGED_SIMULATE_SIMULATE_H */
 
 
 /*
Index: src/libged/simulate/simutils.h
===================================================================
--- src/libged/simulate/simutils.h	(revision 59000)
+++ src/libged/simulate/simutils.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef SIMUTILS_H_
-#define SIMUTILS_H_
+#ifndef LIBGED_SIMULATE_SIMUTILS_H
+#define LIBGED_SIMULATE_SIMUTILS_H
 
 #if defined __cplusplus
 
@@ -232,7 +232,7 @@
 #endif
 
 
-#endif /* SIMUTILS_H_ */
+#endif /* LIBGED_SIMULATE_SIMUTILS_H */
 
 /*
  * Local Variables:
Index: src/libged/wdb_qray.h
===================================================================
--- src/libged/wdb_qray.h	(revision 59000)
+++ src/libged/wdb_qray.h	(working copy)
@@ -26,8 +26,8 @@
  */
 /** @} */
 
-#ifndef SEEN_QRAY_H
-#define SEEN_QRAY_H
+#ifndef LIBGED_WDB_QRAY_H
+#define LIBGED_WDB_QRAY_H
 
 #define DG_QRAY_TEXT(_dgop) ((_dgop)->dgo_qray_effects == 't' || (_dgop)->dgo_qray_effects == 'b')
 #define DG_QRAY_GRAPHICS(_dgop) ((_dgop)->dgo_qray_effects == 'g' || (_dgop)->dgo_qray_effects == 'b')
Index: src/liboptical/constantpool.h
===================================================================
--- src/liboptical/constantpool.h	(revision 59000)
+++ src/liboptical/constantpool.h	(working copy)
@@ -26,8 +26,8 @@
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
-#ifndef CONSTANTPOOL_H
-#define CONSTANTPOOL_H
+#ifndef LIBOPTICAL_CONSTANTPOOL_H
+#define LIBOPTICAL_CONSTANTPOOL_H
 
 #include "common.h"
 
@@ -113,4 +113,4 @@
 using namespace OSL_NAMESPACE;
 #endif
 
-#endif /* CONSTANTPOOL_H */
+#endif /* LIBOPTICAL_CONSTANTPOOL_H */
Index: src/liboptical/liboslrend.h
===================================================================
--- src/liboptical/liboslrend.h	(revision 59000)
+++ src/liboptical/liboslrend.h	(working copy)
@@ -25,8 +25,8 @@
  *
  */
 
-#ifndef LIB_OSL_RENDERER_H
-#define LIB_OSL_RENDERER_H
+#ifndef LIBOPTICAL_LIBOSLREND_H
+#define LIBOPTICAL_LIBOSLREND_H
 
 #include "common.h"
 
Index: src/liboptical/oslexec_pvt.h
===================================================================
--- src/liboptical/oslexec_pvt.h	(revision 59000)
+++ src/liboptical/oslexec_pvt.h	(working copy)
@@ -26,8 +26,8 @@
 OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
 
-#ifndef OSLEXEC_PVT_H
-#define OSLEXEC_PVT_H
+#ifndef LIBOPTICAL_OSLEXEC_PVT_H
+#define LIBOPTICAL_OSLEXEC_PVT_H
 
 #include "common.h"
 
@@ -1045,4 +1045,4 @@
 using namespace OSL_NAMESPACE;
 #endif
 
-#endif /* OSLEXEC_PVT_H */
+#endif /* LIBOPTICAL_OSLEXEC_PVT_H */
Index: src/liboptical/render_svc.h
===================================================================
--- src/liboptical/render_svc.h	(revision 59000)
+++ src/liboptical/render_svc.h	(working copy)
@@ -18,8 +18,8 @@
  * information.
  */
 
-#ifndef RENDER_SVC_H
-#define RENDER_SVC_H
+#ifndef LIBOPTICAL_RENDER_SVC_H
+#define LIBOPTICAL_RENDER_SVC_H
 
 #include "common.h"
 
@@ -88,7 +88,7 @@
 #endif
 
 
-#endif /* RENDER_SVC_H */
+#endif /* LIBOPTICAL_RENDER_SVC_H */
 
 /*
  * Local Variables:
Index: src/libpc/pcBasic.h
===================================================================
--- src/libpc/pcBasic.h	(revision 59000)
+++ src/libpc/pcBasic.h	(working copy)
@@ -24,8 +24,8 @@
  * Basic classes for Parametrics and Constraints Library
  *
  */
-#ifndef __PCBASIC_H__
-#define __PCBASIC_H__
+#ifndef LIBPC_PCBASIC_H
+#define LIBPC_PCBASIC_H
 
 #include "common.h"
 
Index: src/libpc/pcConstraint.h
===================================================================
--- src/libpc/pcConstraint.h	(revision 59000)
+++ src/libpc/pcConstraint.h	(working copy)
@@ -24,8 +24,8 @@
  * Constraint Class for Parametrics and Constraints Library
  *
  */
-#ifndef __PCCONSTRAINT_H__
-#define __PCCONSTRAINT_H__
+#ifndef LIBPC_PCCONSTRAINT_H
+#define LIBPC_PCCONSTRAINT_H
 
 #include "common.h"
 
Index: src/libpc/pcGenerator.h
===================================================================
--- src/libpc/pcGenerator.h	(revision 59000)
+++ src/libpc/pcGenerator.h	(working copy)
@@ -25,8 +25,8 @@
  * in the generation of constraints and parameters/variables
  *
  */
-#ifndef __PCGENERATOR_H__
-#define __PCGENERATOR_H__
+#ifndef LIBPC_PCGENERATOR_H
+#define LIBPC_PCGENERATOR_H
 
 #include "common.h"
 
Index: src/libpc/pcInterval.h
===================================================================
--- src/libpc/pcInterval.h	(revision 59000)
+++ src/libpc/pcInterval.h	(working copy)
@@ -24,8 +24,8 @@
  * Class definition of Interval for Constraint Solution
  *
  */
-#ifndef __PCINTERVAL_H__
-#define __PCINTERVAL_H__
+#ifndef LIBPC_PCINTERVAL_H
+#define LIBPC_PCINTERVAL_H
 
 #include "common.h"
 
Index: src/libpc/pcMathGrammar.h
===================================================================
--- src/libpc/pcMathGrammar.h	(revision 59000)
+++ src/libpc/pcMathGrammar.h	(working copy)
@@ -29,8 +29,8 @@
  *	3. lazy function evaluation
  *
  */
-#ifndef PC_MATH_GRAMMAR
-#define PC_MATH_GRAMMAR
+#ifndef LIBPC_PCMATHGRAMMAR_H
+#define LIBPC_PCMATHGRAMMAR_H
 #define PHOENIX_LIMIT 6
 
 #include "pcMathLF.h"
Index: src/libpc/pcMathLF.h
===================================================================
--- src/libpc/pcMathLF.h	(revision 59000)
+++ src/libpc/pcMathLF.h	(working copy)
@@ -24,8 +24,8 @@
  * Lazy Function wrappers for Math VM
  *
  */
-#ifndef __PCMATHLF_H__
-#define __PCMATHLF_H__
+#ifndef LIBPC_PCMATHLF_H
+#define LIBPC_PCMATHLF_H
 
 #include "pcMathVM.h"
 
Index: src/libpc/pcMathVM.h
===================================================================
--- src/libpc/pcMathVM.h	(revision 59000)
+++ src/libpc/pcMathVM.h	(working copy)
@@ -26,8 +26,8 @@
  * Code is based on concepts from YAC by Angus Leeming
  *
  */
-#ifndef __PCMATHVM_H__
-#define __PCMATHVM_H__
+#ifndef LIBPC_PCMATHVM_H
+#define LIBPC_PCMATHVM_H
 
 #include "common.h"
 
Index: src/libpc/pcNetwork.h
===================================================================
--- src/libpc/pcNetwork.h	(revision 59000)
+++ src/libpc/pcNetwork.h	(working copy)
@@ -24,8 +24,8 @@
  * Class definition of Constraint Network
  *
  */
-#ifndef __PCNETWORK_H__
-#define __PCNETWORK_H__
+#ifndef LIBPC_PCNETWORK_H
+#define LIBPC_PCNETWORK_H
 
 #include "common.h"
 
Index: src/libpc/pcParameter.h
===================================================================
--- src/libpc/pcParameter.h	(revision 59000)
+++ src/libpc/pcParameter.h	(working copy)
@@ -24,8 +24,8 @@
  * Parameter Class abstraction over the Variable class
  *
  */
-#ifndef __PCPARAMETER_H__
-#define __PCPARAMETER_H__
+#ifndef LIBPC_PCPARAMETER_H
+#define LIBPC_PCPARAMETER_H
 
 #include "common.h"
 
Index: src/libpc/pcParser.h
===================================================================
--- src/libpc/pcParser.h	(revision 59000)
+++ src/libpc/pcParser.h	(working copy)
@@ -24,8 +24,8 @@
  * EBNF Parser generation using boost:Spirit
  *
  */
-#ifndef __PCPARSER_H__
-#define __PCPARSER_H__
+#ifndef LIBPC_PCPARSER_H
+#define LIBPC_PCPARSER_H
 
 #include "common.h"
 
Index: src/libpc/pcSolver.h
===================================================================
--- src/libpc/pcSolver.h	(revision 59000)
+++ src/libpc/pcSolver.h	(working copy)
@@ -24,8 +24,8 @@
  * various constraint solving methods
  *
  */
-#ifndef __PCSOLVER_H__
-#define __PCSOLVER_H__
+#ifndef LIBPC_PCSOLVER_H
+#define LIBPC_PCSOLVER_H
 
 #include "common.h"
 
Index: src/libpc/pcVCSet.h
===================================================================
--- src/libpc/pcVCSet.h	(revision 59000)
+++ src/libpc/pcVCSet.h	(working copy)
@@ -24,8 +24,8 @@
  * VCSet Class definition : A Set of Variables and Constraints
  *
  */
-#ifndef __PCVCSET_H__
-#define __PCVCSET_H__
+#ifndef LIBPC_PCVCSET_H
+#define LIBPC_PCVCSET_H
 
 #include "common.h"
 
Index: src/libpc/pcVariable.h
===================================================================
--- src/libpc/pcVariable.h	(revision 59000)
+++ src/libpc/pcVariable.h	(working copy)
@@ -24,8 +24,8 @@
  * Class definition of Variable & Domain
  *
  */
-#ifndef __PCVARIABLE_H__
-#define __PCVARIABLE_H__
+#ifndef LIBPC_PCVARIABLE_H
+#define LIBPC_PCVARIABLE_H
 
 #define VAR_ABS 0
 #define VAR_INT 1
Index: src/libpkg/example/ntp.h
===================================================================
--- src/libpkg/example/ntp.h	(revision 59000)
+++ src/libpkg/example/ntp.h	(working copy)
@@ -23,6 +23,9 @@
  *
  */
 
+#ifndef LIBPKG_EXAMPLE_NTP_H
+#define LIBPKG_EXAMPLE_NTP_H
+
 /* simple network transport protocol. connection starts with a HELO,
  * then a variable number of GEOM/ARGS messages, then a CIAO to end.
  */
@@ -34,6 +37,8 @@
 /* maximum number of digits on a port number */
 #define MAX_DIGITS      5
 
+#endif /* LIBPKG_EXAMPLE_NTP_H */
+
 /*
  * Local Variables:
  * mode: C
Index: src/librt/librt_private.h
===================================================================
--- src/librt/librt_private.h	(revision 59000)
+++ src/librt/librt_private.h	(working copy)
@@ -28,8 +28,8 @@
  * accordingly (e.g., ell_*() for functions defined in primitives/ell)
  *
  */
-#ifndef LIBRT_PRIVATE_H
-#define LIBRT_PRIVATE_H
+#ifndef LIBRT_LIBRT_PRIVATE_H
+#define LIBRT_LIBRT_PRIVATE_H
 
 #include "common.h"
 
@@ -133,7 +133,7 @@
 
 __END_DECLS
 
-#endif /* LIBRT_PRIVATE_H */
+#endif /* LIBRT_LIBRT_PRIVATE_H */
 
 /*
  * Local Variables:
Index: src/librt/primitives/bot/btg.h
===================================================================
--- src/librt/primitives/bot/btg.h	(revision 59000)
+++ src/librt/primitives/bot/btg.h	(working copy)
@@ -23,6 +23,9 @@
  *
  */
 
+#ifndef LIBRT_PRIMITIVES_BOT_BTG_H
+#define LIBRT_PRIMITIVES_BOT_BTG_H
+
 void bottie_push_double(void *vtie, TIE_3 **tri, unsigned int ntri, void *usr, unsigned int pstride);
 int bottie_prep_double(struct soltab *stp, struct rt_bot_internal *bot, struct rt_i *rtip);
 int bottie_shot_double(struct soltab *stp, register struct xray *rp, struct application *ap, struct seg *seghead);
@@ -33,6 +36,8 @@
 int bottie_shot_float(struct soltab *stp, register struct xray *rp, struct application *ap, struct seg *seghead);
 void bottie_free_float(void *vtie);
 
+#endif /* LIBRT_PRIMITIVES_BOT_BTG_H */
+
 /*
  * Local Variables:
  * tab-width: 8
Index: src/librt/primitives/bot/tieprivate.h
===================================================================
--- src/librt/primitives/bot/tieprivate.h	(revision 59000)
+++ src/librt/primitives/bot/tieprivate.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef _TIEPRIVATE_H
-#define _TIEPRIVATE_H
+#ifndef LIBRT_PRIMITIVES_BOT_TIEPRIVATE_H
+#define LIBRT_PRIMITIVES_BOT_TIEPRIVATE_H
 
 #ifdef __cplusplus
 extern "C" {
@@ -58,7 +58,7 @@
 }
 #endif
 
-#endif /* _TIEPRIVATE_H */
+#endif /* LIBRT_PRIMITIVES_BOT_TIEPRIVATE_H */
 
 /*
  * Local Variables:
Index: src/librt/primitives/brep/brep_debug.h
===================================================================
--- src/librt/primitives/brep/brep_debug.h	(revision 59000)
+++ src/librt/primitives/brep/brep_debug.h	(working copy)
@@ -25,8 +25,8 @@
  *
  */
 
-#ifndef __BREP_DEBUG
-#define __BREP_DEBUG
+#ifndef LIBRT_PRIMITIVES_BREP_BREP_DEBUG_H
+#define LIBRT_PRIMITIVES_BREP_BREP_DEBUG_H
 
 #include "common.h"
 
Index: src/librt/primitives/brep/brep_local.h
===================================================================
--- src/librt/primitives/brep/brep_local.h	(revision 59000)
+++ src/librt/primitives/brep/brep_local.h	(working copy)
@@ -22,6 +22,9 @@
  * Local data structures for brep primitive
  */
 
+#ifndef LIBRT_PRIMITIVES_BREP_BREP_LOCAL_H
+#define LIBRT_PRIMITIVES_BREP_BREP_LOCAL_H
+
 /**
  * The b-rep specific data structure for caching the prepared
  * acceleration data structure.
@@ -31,6 +34,7 @@
     BrepBoundingVolume* bvh;
 };
 
+#endif LIBRT_PRIMITIVES_BREP_BREP_LOCAL_H
 
 /*
  * Local Variables:
Index: src/librt/primitives/dsp/dsp.h
===================================================================
--- src/librt/primitives/dsp/dsp.h	(revision 59000)
+++ src/librt/primitives/dsp/dsp.h	(working copy)
@@ -22,6 +22,9 @@
  *
  */
 
+#ifndef LIBRT_PRIMITIVES_DSP_DSP_H
+#define LIBRT_PRIMITIVES_DSP_DSP_H
+
 /* access to the DSP data array */
 # define DSP(_p, _x, _y) (						\
 	((_p) && (_p)->dsp_buf) ?					\
@@ -29,6 +32,7 @@
 	    (_y) * ((struct rt_dsp_internal *)_p)->dsp_xcnt + (_x)	\
 	    ] : 0)
 
+#endif LIBRT_PRIMITIVES_DSP_DSP_H
 
 /*
  * Local Variables:
Index: src/librt/primitives/fixpt.h
===================================================================
--- src/librt/primitives/fixpt.h	(revision 59000)
+++ src/librt/primitives/fixpt.h	(working copy)
@@ -31,8 +31,8 @@
  */
 /** @} */
 
-#ifndef FIXPT_H
-#define FIXPT_H seen
+#ifndef LIBRT_PRIMITIVES_FIXPT_H
+#define LIBRT_PRIMITIVES_FIXPT_H seen
 
 #define FIXPT_SCALE ((1<<28)-1)
 struct fixpt {
@@ -77,7 +77,7 @@
 #define PR_FIX2(str, fp) bu_log("%s = (%2d+x%8.8x, %2d+x%8.8x)\n", \
 				str, fp[0].i, fp[0].f, fp[1].i, fp[1].f)
 
-#endif /* FIXPT_H */
+#endif /* LIBRT_PRIMITIVES_FIXPT_H */
 
 /*
  * Local Variables:
Index: src/librt/primitives/metaball/metaball.h
===================================================================
--- src/librt/primitives/metaball/metaball.h	(revision 59000)
+++ src/librt/primitives/metaball/metaball.h	(working copy)
@@ -18,11 +18,16 @@
  * information.
  */
 
+#ifndef LIBRT_PRIMITIVES_METABALL_METABALL_H
+#define LIBRT_PRIMITIVES_METABALL_METABALL_H
+
 int rt_metaball_bbox(struct rt_db_internal *ip, point_t *min, point_t *max, const struct bn_tol *tol);
 fastf_t rt_metaball_get_bounding_sphere(point_t *center, fastf_t threshold, struct rt_metaball_internal *mb);
 int rt_metaball_find_intersection(point_t *intersect, const struct rt_metaball_internal *mb, const point_t *a, const point_t *b, fastf_t step, const fastf_t finalstep);
 void rt_metaball_norm_internal(vect_t *n, point_t *p, struct rt_metaball_internal *mb);
 
+#endif /* LIBRT_PRIMITIVES_METABALL_METABALL_H */
+
 /*
  * Local Variables:
  * mode: C
Index: src/librt/primitives/revolve/revolve.h
===================================================================
--- src/librt/primitives/revolve/revolve.h	(revision 59000)
+++ src/librt/primitives/revolve/revolve.h	(working copy)
@@ -23,6 +23,9 @@
  *
  */
 
+#ifndef LIBRT_PRIMITIVES_REVOLVE_REVOLVE_H
+#define LIBRT_PRIMITIVES_REVOLVE_REVOLVE_H
+
 #include "common.h"
 
 #include "bu.h"
@@ -53,6 +56,7 @@
     { {'\0', '\0', '\0', '\0'}, 0, (char *)NULL, 0, BU_STRUCTPARSE_FUNC_NULL, NULL, NULL }
 };
 
+#endif /* LIBRT_PRIMITIVES_REVOLVE_REVOLVE_H */
 
 /*
  * Local Variables:
Index: src/librt/primitives/xxx/xxx.h
===================================================================
--- src/librt/primitives/xxx/xxx.h	(revision 59000)
+++ src/librt/primitives/xxx/xxx.h	(working copy)
@@ -50,6 +50,9 @@
  *
  */
 
+#ifndef LIBRT_PRIMITIVES_XXX_XXX_H
+#define LIBRT_PRIMITIVES_XXX_XXX_H
+
 #include "common.h"
 
 #include "bu.h"
@@ -83,6 +86,7 @@
     vect_t xxx_V;
 };
 
+#endif /* LIBRT_PRIMITIVES_XXX_XXX_H */
 
 /*
  * Local Variables:
Index: src/librt/search.h
===================================================================
--- src/librt/search.h	(revision 59000)
+++ src/librt/search.h	(working copy)
@@ -52,8 +52,8 @@
  *
  */
 
-#ifndef __SEARCH_H__
-#define __SEARCH_H__
+#ifndef LIBRT_SEARCH_H
+#define LIBRT_SEARCH_H
 
 #include "common.h"
 
@@ -184,7 +184,7 @@
 
 __END_DECLS
 
-#endif /* __SEARCH_H__ */
+#endif /* LIBRT_SEARCH_H */
 
 /*
  * Local Variables:
Index: src/libtclcad/tclcad_private.h
===================================================================
--- src/libtclcad/tclcad_private.h	(revision 59000)
+++ src/libtclcad/tclcad_private.h	(working copy)
@@ -23,8 +23,8 @@
  *
  */
 
-#ifndef __TCLCAD_PRIVATE_H__
-#define __TCLCAD_PRIVATE_H__
+#ifndef LIBTCLCAD_TCLCAD_PRIVATE_H
+#define LIBTCLCAD_TCLCAD_PRIVATE_H
 
 __BEGIN_DECLS
 
@@ -38,7 +38,7 @@
 
 __END_DECLS
 
-#endif /* __TCLCAD_PRIVATE_H__ */
+#endif /* LIBTCLCAD_TCLCAD_PRIVATE_H */
 
 /** @} */
 /*
